Subject: Re: [PATCH 2/3] [POWERPC] Fix kernel build errors for mpc8272ads and mpc8560ads

From: David Gibson <[email-masked]>
Date: Wed, 31 Jan 2007 15:57:59 +1100

On Wed, Jan 31, 2007 at 07:39:47AM +0300, Vitaly Bordug wrote:
> On Tue, 30 Jan 2007 17:41:14 -0600
> Kumar Gala wrote:
> 
> > 
> > On Jan 30, 2007, at 5:09 PM, Vitaly Bordug wrote:
> > 
> > >
> > > Recent update of asm-powerpc/io.h caused cpm-related stuff to
> > > break in the
> > > current kernel. Current patch fixes it, as well as other  
> > > inconsistencies
> > > expressed, that do not permit targets from working properly:
> > >
> > > - Updated dts with a chosen node with interrupt controller,
> > 
> > Why do we need this?  I'm not aware of any other boards having to
> > set this?
> 
> Correct. In fact I dropped that change, after "dtc -f" discussion
> but forgot to clear this line from desc. Will resend in a few
> minutes, thanks for pointing it out.

Oh.. if this is no longer needed we should just remove the check from
dtc.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson